//////////    VARIABLES    //////////

//main
var schand=0.2; //used for scaling menu panels
var sndvol=100; //sound volume
var musicvol=70; //music volume
var diff=2; //difficulty level
var ingame=0; //indicates if a mission is running
var musichnd=0; //music file handler
var inopt=0; //indic. if options menu is active
var pgshown=1; //is 0 when Pause Game menu is showing (scaling)
var opshown=1; //the same for Options
var mainshown=1; //main menu
var ngshown=1; //and newgame
var inmain=1; //indic. if the main menu is active
var rldsnd=0; //weapon reload sound handler

//mission
var gamepaused=0;
var shotbal=0; //sound balance
var tmpx=0; //stores the x coord value temporary
var posy=0; //player's y coord
var hmanim=0;
var porient=1; //palyer orientation
var playergunmodel=1; // 1 = m4 silenced  2 = ak49
var playerammo[4]={30,30,30,30}; //30 bullets per magazine (4 magazines)
var playercurrentmag=0;
var playerhealth=0;
var hstatus=0; //health status (green, yellow, red)
var ammostat1=30; //bullets in current magazine
var ammostat2=3; //non-empty magazines left
var magcur=0; //magazine cursor
var magcount=4; //number of magazines
var canshoot=1;
var onladder=0;
var i=0;  //used in finding nearest ladder
var j=0;  //used in "for" structures
var k=0;
var l=0;
var m=0;
var falling=480; //contains the y coord when the player started falling
var objdone=0; // = 1 if the mission objective was completed
var test=0;
var intonladder=0; //in what direction was the ladder climbed (1=up 2=down)
var killch=800; // ai chances to hit on target (800 is for hard)
var animph=1;
var tempai[22] = {300,335,335,2,2,30,30,30,30,0,0,0,0,1,0,250,313,1,0,0,0,0};




//////////     IMAGES    //////////

// button images
BMAP* pnbg = "panelbg.tga";
BMAP* opnbg = "panelbg2.tga";
BMAP* ngoff = "ng.tga";
BMAP* ngon = "ng_on.tga";
BMAP* opoff = "op.tga";
BMAP* opon = "op_on.tga";
BMAP* exoff = "ex.tga";
BMAP* exon = "ex_on.tga";
BMAP* demoff = "demo.tga";
BMAP* demon = "demo_on.tga";
BMAP* cur = "menu_cursor.tga";
BMAP* slid = "bar.tga";
BMAP* easyoff = "easy.tga";
BMAP* easyon = "easy_on.tga";
BMAP* easyover = "easy_hover.tga";
BMAP* normaloff = "normal.tga";
BMAP* normalon = "normal_on.tga";
BMAP* normalover = "normal_hover.tga";
BMAP* hardoff = "hard.tga";
BMAP* hardon = "hard_on.tga";
BMAP* hardover = "hard_hover.tga";
BMAP* resoff = "res.tga";
BMAP* reson = "res_on.tga";
BMAP* paoff = "pa.tga";
BMAP* paon = "pa_hover.tga";

//mission
BMAP* targetc = "target.tga";
BMAP* hudmap = "hud.tga";
BMAP* health = "health.tga";





//////////     SOUNDS    //////////

//menu
SOUND* ticsound = "tic.ogg";

//mission
SOUND* m4 = "m4_shot.ogg";
SOUND* ak = "ak74_shot.ogg";
SOUND* empty = "empty.ogg";
SOUND* reloadsnd = "reload.ogg";




//////////     PANELS    //////////

//menu
PANEL* mainmenu=
{ 	bmap=pnbg;
	pos_x=96; pos_y=44;
	button(145,10,ngoff,ngoff,ngon,showng,NULL,tic);
	button(145,70,opoff,opoff,opon,showop,NULL,tic);
	button(145,130,exoff,exoff,exon,gamexit,NULL,tic);
	layer=1;
}

PANEL* poptions=
{	bmap=opnbg;
	pos_x=96; pos_y=44;
	layer=2;
	digits(10,10,"Sound volume","CurierNew#24b",0,0);
	digits(10,40,"Music volume","CurierNew#24b",0,0);
	digits(10,70,"Difficulty","CurierNew#24b",0,0);
	hslider(155,10,280,slid,0,100,sndvol);
	hslider(155,40,280,slid,0,100,musicvol);
	button_radio(35,100,easyon,easyoff,easyover,makeiteasy,NULL,tic);
	button_radio(235,100,normalon,normaloff,normalover,makeitnormal,NULL,tic);
	button_radio(145,160,hardon,hardoff,hardover,makeithard,NULL,tic);
	button(145,333,exoff,exoff,exon,hideop,NULL,tic);
}

PANEL* ng=
{	bmap=pnbg;
	pos_x=96; pos_y=44;
	button(145,10,demoff,demoff,demon,startdemo,NULL,tic);
	button(145,333,exoff,exoff,exon,hideng,NULL,tic);
	layer=3;
}

PANEL* pg=
{	bmap=pnbg;
	pos_x=96; pos_y=44;
	button(145,10,resoff,resoff,reson,pause,NULL,tic);
	button(145,70,opoff,opoff,opon,showop,NULL,tic);
	button(145,130,exoff,exoff,exon,endmission,NULL,tic);
	layer=12;
}

PANEL* lost=
{	bmap=pnbg;
	pos_x=96; pos_y=44;
	digits(220,18,"You are dead","Arial#28b",0,0);
	button(120,60,paoff,paoff,paon,startdemo,NULL,tic);
	button(145,130,exoff,exoff,exon,endmission,NULL,tic);
	layer=13;
}

PANEL* won =
{	bmap=pnbg;
	pos_x=96; pos_y=44;
	digits(120,18,"Mission completed","Arial#28b",0,0);
	button(120,60,paoff,paoff,paon,startdemo,NULL,tic);
	button(145,130,exoff,exoff,exon,endmission,NULL,tic);
	layer=14;
}